summary refs log tree commit diff
path: root/.config/senpai/highlight
diff options
context:
space:
mode:
authorRobert Günzler <r@gnzler.io>2026-04-08 13:18:14 +0900
committerRobert Günzler <r@gnzler.io>2026-04-08 13:18:14 +0900
commitb61b58ce2c1371d6f904f108fa7feed3abfbe5c7 (patch)
tree008a5cf54ecbfffb97ddac30e44c8ab224395ab0 /.config/senpai/highlight
parentd4620f3ac119263fee90bd819eadaf84fc8d50b7 (diff)
*
Automated-commit-by: dots
Signed-off-by: Robert Günzler <r@gnzler.io>
Diffstat (limited to '.config/senpai/highlight')
-rwxr-xr-x.config/senpai/highlight9
1 files changed, 9 insertions, 0 deletions
diff --git a/.config/senpai/highlight b/.config/senpai/highlight
new file mode 100755
index 0000000..3f2f3e9
--- /dev/null
+++ b/.config/senpai/highlight
@@ -0,0 +1,9 @@
+#!/bin/sh
+set -ex
+escape() {
+	printf "%s" "$1" | sed 's#\\#\\\\#g'
+}
+
+fyi -a senpai -i senpai -c reminder \
+	"[$BUFFER] $SENDER" \
+	"$(escape "$MESSAGE")"